<?php
define('WRS_LANGUAGE', basename($sl));
define('WRS_BASE_PATH', $pth['folder']['plugins'] . 'wellrad/');
define('WRS_LIB_PATH', WRS_BASE_PATH . 'classes/app/' );
define('WRS_CATALOG', WRS_BASE_PATH . 'data/catalogue.inc' );
define('WRS_JS_PATH', WRS_BASE_PATH .'js/' );
define('WRS_HELP_PATH', WRS_BASE_PATH . 'help/' );

$langFile = file_exists(WRS_BASE_PATH . 'lang/' .WRS_LANGUAGE . '.php') ?
            WRS_BASE_PATH . 'lang/' .WRS_LANGUAGE . '.php' : WRS_BASE_PATH . 'lang/en.php';

define('WRS_LANGUAGE_FILE', $langFile);
define('WRS_COUNTRIES_FILE', WRS_BASE_PATH . 'lang/countries_' . WRS_LANGUAGE . '.txt');
define('WRS_CONFIG_FILE', WRS_BASE_PATH . 'config/shopsettings.php' );
define('WRS_BILLS_PATH', WRS_BASE_PATH . 'bills/');
define('WRS_TEMPLATES_PATH', WRS_BASE_PATH . 'templates/');
define('WRS_CSS_PATH', WRS_BASE_PATH .  'css/');
define('WRS_URI_SEPARATOR', $cf['uri']['seperator']);


define('WRS_IMAGE_PATH', $pth['folder']['images']);
define('WRS_PREVIEW_PIC_PATH', $pth['folder']['images']);
define('WRS_SAVE_FORMAT', 'array' );

loadWRSClasses();

function loadWRSClasses(){
    require_once WRS_LIB_PATH . 'wrs_view.php';
    require_once WRS_LIB_PATH . 'wrs_controller.php';
    require_once WRS_LIB_PATH . 'wrs_frontend_controller.php';
    require_once WRS_LIB_PATH . 'wrs_backend_controller.php';
    require_once WRS_LIB_PATH . 'wrs_frontend_view.php';
    require_once WRS_LIB_PATH . 'wrs_backend_view.php';
    require_once WRS_LIB_PATH . 'wrs_order.php';
    require_once WRS_LIB_PATH . 'wrs_customer.php';
    require_once WRS_LIB_PATH . 'catalogue.php';
    require_once WRS_LIB_PATH . 'product.php';
    require_once WRS_LIB_PATH . 'wrs_payment_module.php';

  

}
  
//require_once $pth['folder']['plugins']."wellrad/php_compat.php";
//include_once $pth['folder']['plugins']."wellrad/collaborators/product.inc";


?>
