<div class="settingsForm">
    <form action="" method = "post">
        <p>
            <label>
                <b><?php $this->label('product_name'); ?>:</b>
                <?php $this->br();
                echo $this->textInputNameValueLabel('wrsName', '%NAME%', null, array('size' => 60));?>
            </label>
        </p>
        <p>
            <b><?php $this->label('product_variants');?>:</b>
            <?php $this->hint('product_variants'); ?>
            <?php $this->br(); ?>
            <?php echo $this->textinputNameValueLabel('wrsVariants', '%VARIANTS%', null, array('size' => '60')) ; ?>
        </p>
        <p>
        <table width="100%">
            <colgroup>
                <col style="width: 2px;"></col>
                <col style="padding-left: 2em;"></col>
            </colgroup>
            <tr style="height: 4ex; vertical-align: top;">
                <td style="font-weight:bold;">
                    <?php $this->label('price'); ?>:
                </td>
                <td style="padding-left: 2em;">
                    <?php echo $this->moneyInputNameValueLabel('wrsPrice', $this->price, null, array('size' => '10')); ?>
                </td>
            </tr>
            <tr style="height: 4ex; vertical-align: top;">
                <td style="font-weight:bold;">
                    <?php $this->label('vat_rate'); ?>:
                </td>
                <td style="padding-left: 2em;">
                    <label><?php echo $this->radioNameValueLabel('vat', 'full') . ' '; $this->label('full_vat');?></label>
                    <label><?php echo $this->radioNameValueLabel('vat', 'reduced') . ' '; $this->label('reduced_vat'); ?></label>
                </td>
            </tr>
            <tr style="height: 4ex; vertical-align: top;">
                <td style="font-weight:bold;">
                    <?php echo ucfirst($this->shipping_unit)?>:
                </td>
                <td style="padding-left: 2em;">
                    <?php echo $this->floatInputNameValueLabel('wrsWeight', $this->weight, null, array('size' => '10')); ?>
                </td>
            </tr>
            <tr style="height: 6ex; vertical-align: top;">
                <td style="font-weight:bold;">
                    <?php $this->label('available');?>:
                </td>
                <td style="padding-left: 2em;">
                    <label><?php echo $this->radioNameValueLabel('stockOnHand', 1) . ' '; $this->label('yes'); ?></label>
                    <label><?php echo $this->radioNameValueLabel('stockOnHand', 0) . ' '; $this->label('no'); ?></label>
                </td>
            </tr>
            <tr>
                <td colspan="2"></td>
            </tr>
            <tr style="height: 4ex; vertical-align: top;">
                <td style="font-weight:bold;">

        <?php $this->label('preview_picture');?>:
                </td>
                <td style="padding-left: 2em;">

                    %PREVIEW_SELECTOR%
                    <?php $this->br(); ?>
                    <?
                                       /**
                                        * Do not change the id="wrsPreviewPic" - it is used in javascript
                                        */
                    ?>
                    <span id="wrsPreviewPic">%PREVIEW%</span>
                </td>
            </tr>
             <tr style="height: 4ex; vertical-align: top;">
                <td style="font-weight:bold;">

        <?php $this->label('product_picture');?>:
                </td>
                <td style="padding-left: 2em;">

                    %IMAGE_SELECTOR%
                    <?php $this->br(); ?>
                    <?
                                       /**
                                        * Do not change the id="wrsImage" - it is used in javascript
                                        */
                    ?>
                    <span id="wrsImage">%IMAGE%</span>
                </td>
            </tr>
            <tr>
                <td style="vertical-align: top;"><b><?php $this->label('internal_link'); ?>:</b></td>
                <td style="padding-left: 2em;"><?php echo $this->productPageSelector(); ?></td>
            </tr>
            <tr>
                <td style="vertical-align: top;"><b><?php $this->label('product_categories'); ?>:</b></td>
                <td style="padding-left: 2em;"><?php echo $this->productCategorySelector(); ?></td>
            </tr>
        </table>


        <p>
            <b><?php $this->label('product_teaser'); ?>:</b>
            <?php $this->br(); ?>
            <?php $this->hint('product_teaser'); ?>
            <?php $this->br(); ?>
            <textarea name="wrsTeaser" id="wrsTeaser" class="wrsTeaser" cols="70" rows="4">%TEASER%</textarea>
        </p>
        <p>
            <b><?php $this->label('product_description'); ?>:</b>
            <?php $this->br(); ?>
             <?php $this->hint('product_description'); ?>
            <?php $this->br(); ?>
            <textarea name="wrsDescription" id="wrsDescription" class="wrsDescription" cols="70" rows="16">%DESCRIPTION%</textarea>
        </p>

        <p style="text-align: right;">
            <input type="submit" value="<?php $this->label('save_settings'); ?>"  />
            <input type="hidden" name="wrsProductID" value="<?php echo $this->product_ID; ?>"  />
            <input type="hidden" name="wrsTaskCat" value="product_tasks" />
            <input type="hidden" name="wrsTask" value="saveProduct"  />
        </p>
    </form>
</div>