<?php $wrsSearch = isset($_POST['wrsProductSearch']) ? $_POST['wrsProductSearch'] : ''; ?>
<div style="border: #bbbbee 1px solid; padding: 0.5em;">
    <div style="float: left;">
        <?php if($this->showCategorySelect !== false){ ?>
        <form action="" method="post">
            <?php echo $this->categorySelect(); ?>
            <input name="wrsTask" value="productList" type="hidden" />
        </form>
        <?php } ?>
    </div>
    <div style="float: right;">
        <form action="" method="post">
            <?php $this->label('product_search'); ?>:
            <input name="wrsProductSearch" value="<?php echo $wrsSearch; ?>" type="text" />
        </form>
    </div>
    <div style="clear:both;"></div>
</div>

<h2><?php echo $this->categoryHeader; ?></h2>
<?php if(count($this->products) === 0){ ?>
<p>
    <?php
    if(isset($_POST['wrsProductSearch'])){
        printf($this->hints['no_products_found'], $_POST['wrsProductSearch'] );
    }else{
        printf($this->hints['sold_out'],$this->categoryHeader);
    }

    ?>
</p>
<?php return;} ?>
<table id="productsTable" width="100%">
    <colgroup>
        <col> </col>
        <col> </col>
    </colgroup>
    <thead>
        <tr><th></th><th></th></tr>
    </thead>
    <tbody>
        <?php foreach($this->products as $index => $product){ ?>
        <tr>
            <td style="vertical-align: top;"><?php echo $product['previewPicture'] ; ?></td>
            <td>
                <h3><?php echo $product['name'] ; ?></h3>
                <?php echo $product['teaser']; ?>
                <?php echo $product['detailLink'] ; ?>
                <div style="text-align: right;">
                    <b><?php echo $this->labels['price'];?> <?php echo $this->formatCurrency($product['price']); ?></b>
                </div>
                <div style="text-align: right; padding-bottom: 1ex;  border-bottom: 1px #444577 dotted;">
                    <form action="" method="post" >
                        <?php if(isset($product['variants'])){ ?>
                        <select name="wrsVariant">
                            <?php foreach($product['variants'] as $key => $variant){ ?>
                            <option value="<?php echo $key; ?>"><?php echo $variant; ?></option>
                            <?php } ?>
                        </select>
                        <?php } ?>
                        <input type="text" size="2" style="display: inline; width: 1.5em;" name="wrsAmount" value="1" />
                        <input type="hidden" name="wrsTask" value="updateCart" />
                        <input type="hidden" name="wrsCategory" value="<?php echo $this->selectedCategory; ?>" /> x
                        <input type="hidden" name="cartItem" value="<?php echo $index; ?>" />
                        <input type="submit" class="shopButton" name="" value="<?php echo $this->label('add_to_cart'); ?>" />
                    </form>
                </div>
            </td>
        </tr>
        <?php } ?>
    </tbody>
</table>